Crazy Eddies GUI System: CEGUI::ScrollablePaneProperties::ContentArea Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CEGUI::ScrollablePaneProperties::ContentArea Class Reference

Property to access the current content pane area rectangle (as window relative pixels). More...

Inheritance diagram for CEGUI::ScrollablePaneProperties::ContentArea:
[legend]
Collaboration diagram for CEGUI::ScrollablePaneProperties::ContentArea:
[legend]

List of all members.

## Public Member Functions
String | get (const PropertyReceiver *receiver) const
| Return the current value of the Property as a String.
void | set (PropertyReceiver *receiver, const String &value)
| Sets the value of the property.

## Detailed Description

Property to access the current content pane area rectangle (as window relative pixels).

Usage:
  - Name: ContentArea
  - Format: "l:[float] t:[float] r:[float] b:[float]".

Where:
  - l:[float] specifies the position of the left edge of the area as a floating point number.
  - t:[float] specifies the position of the top edge of the area as a floating point number.
  - r:[float] specifies the position of the right edge of the area as a floating point number.
  - b:[float] specifies the position of the bottom edge of the area as a floating point number.

## Member Function Documentation

String CEGUI::ScrollablePaneProperties::ContentArea::get | ( | const PropertyReceiver * | receiver | ) | const`[virtual]`

Return the current value of the Property as a String.

Parameters:

  receiver | Pointer to the target object.

Returns:
  String object containing a textual representation of the current value of the Property

Implements CEGUI::Property.

void CEGUI::ScrollablePaneProperties::ContentArea::set | ( | PropertyReceiver * | receiver,
|  | const String & | value
| ) |  | `[virtual]`

Sets the value of the property.

Parameters:

  receiver | Pointer to the target object.
  value | A String object that contains a textual representation of the new value to assign to the Property.

Returns:
  Nothing.

Exceptions:

  InvalidRequestException | Thrown when the Property was unable to interpret the content of value.

Implements CEGUI::Property.